Class | Bio::GenPept::Locus
In: | lib/bio/db/genbank/genpept.rb
Parent: | Object

LOCUS

### Methods

new

### Attributes

circular | [RW] |
date | [RW] |
division | [RW] |
entry_id | [RW] |
length | [RW] |

### Public Class methods

new(locus_line)

[Source]

        # File lib/bio/db/genbank/genpept.rb, line 20
    20:     def initialize(locus_line)
    21:       @entry_id = locus_line[12..27].strip
    22:       @length   = locus_line[29..39].to_i
    23:       @circular = locus_line[55..62].strip      # always linear
    24:       @division = locus_line[63..66].strip
    25:       @date     = locus_line[68..78].strip
    26:     end

[Validate]